package com.zcloud.mapper.dsno2.check;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：清单检查记录
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
public interface CheckRecordMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**清单逾期检查记录数
	 * @param pd
	 * @throws Exception
	 */
	int countOverTime(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);


	/**查询节假日分页
	 * @param page
	 * @throws Exception
	 */
	List<PageData> listlistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);
	List<PageData> findRiskPointByLId(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	List<PageData> listAllUnfinished(PageData pd);

	/* 统计功能 */
	List<PageData> listCountDay(PageData pd);/* 统计日 */
	List<PageData> listCountWeek(PageData pd);/* 统计周 */
	List<PageData> listCountTenDays(PageData pd);/* 统计旬 */
	List<PageData> listCountMonth(PageData pd);/* 统计功月 */
	List<PageData> listCountQuarter(PageData pd);/* 统计季 */
	List<PageData> listCountHalfYear(PageData pd);/* 统计半年 */
	List<PageData> listCountYear(PageData pd);/* 统计年 */
	Integer listCountJjr(PageData pd);/* 统计节假日 */


	/**修改统计状态
	 * @param pd
	 * @throws Exception
	 */
	void editStatistics(PageData pd);

	/**
	 * 查询辨识部位检查记录
	 * @param pd
	 * @return
	 */
	List<PageData> listLogByIde(PageData pd);

	/**
	 * 指定辨识部位检查记录
	 * @param pd
	 * @return
	 */
	List<PageData> recordByIde(PageData pd);

	/**补录
	 * @param pd
	 * @throws Exception
	 */
	void recording(PageData pd);

	/**
	 * APP清单检查记录
	 * @param pd
	 * @return
	 */
	List<PageData> appdatalist(PageData pd);

	/**删除清单检查记录（公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	void deleteByCorp(PageData pd);

	/**检查完成率
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getCheckExamine(PageData pd);
}

